.campaign-brand-nav {
  padding: 40px 0 120px;
  background-color: #fde8de;
}

.campaign-brand-nav h2.ttl-underline {
  margin-bottom: 50px;
}

.campaign-brand-nav__list {
  display: grid;
  grid-template-columns: 207px 207px 207px 316px;
  gap: 12px;
  justify-content: center;
}

.campaign-brand-nav__list--row2 {
  grid-template-columns: 316px 316px 316px;
  margin-top: 12px;
}

.campaign-brand-nav__btn {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 114px;
  padding: 10px 32px 10px 10px;
  background-color: #fff;
  border-radius: 10px;
  cursor: pointer;
}

.campaign-brand-nav__btn.is-current {
  padding-right: 10px;
  pointer-events: none;
  cursor: default;
}

.campaign-brand-nav__btn.is-current:hover {
  opacity: 1;
}

.campaign-brand-nav__logo {
  display: flex;
  align-items: center;
  justify-content: center;
}

.campaign-brand-nav__logo--visa {
  width: 84px;
}

.campaign-brand-nav__logo--mastercard {
  width: 79px;
}

.campaign-brand-nav__logo--jcb {
  width: 52px;
}

.campaign-brand-nav__logo--view-suica-jcb {
  width: 181px;
}

.campaign-brand-nav__logo--american-express {
  width: 51px;
}

.campaign-brand-nav__logo--diners-club {
  width: 126px;
}

.campaign-brand-nav__logo--op {
  width: 63px;
}

.campaign-brand-nav__arrow {
  position: absolute;
  top: 50%;
  right: 17px;
  display: block;
  width: 7px;
  height: 7px;
  border-top: 1px solid #666;
  border-right: 1px solid #666;
  transform: translateY(-50%) rotate(45deg);
}

.campaign-brand-nav__btn.is-current .campaign-brand-nav__arrow {
  display: none;
}

@media screen and (min-width: 768px) and (max-width: 1080px) {
  .campaign-brand-nav__list {
    grid-template-columns: 21.2551440329% 21.2551440329% 21.2551440329% 32.5102880658%;
    gap: 10px;
  }

  .campaign-brand-nav__list--row2 {
    grid-template-columns: 32.5102880658% 32.5102880658% 32.5102880658%;
  }
}

@media screen and (max-width: 767px) {
  .campaign-brand-nav {
    padding: 5.3333333333vw 0 16vw;
  }

  .campaign-brand-nav h2.ttl-underline {
    margin-bottom: 8vw;
  }

  .campaign-brand-nav__list {
    grid-template-columns: 18.9333333333vw 18.9333333333vw 18.9333333333vw 28.8vw;
    gap: 0.56vw;
  }

  .campaign-brand-nav__list--row2 {
    grid-template-columns: 28.8vw 28.8vw 28.8vw;
    margin-top: 0.8vw;
  }

  .campaign-brand-nav__btn {
    height: 17.0666666667vw;
    padding: 1em 4vw 1em 1em;
    border-radius: 1.3333333333vw;
  }

  .campaign-brand-nav__btn.is-current {
    padding-right: 1em;
  }

  .campaign-brand-nav__logo--visa {
    width: 12.2666666667vw;
  }

  .campaign-brand-nav__logo--mastercard {
    width: 11.6vw;
  }

  .campaign-brand-nav__logo--jcb {
    width: 6.9333333333vw;
  }

  .campaign-brand-nav__logo--view-suica-jcb {
    width: 24.1333333333vw;
  }

  .campaign-brand-nav__logo--american-express {
    width: 6.8vw;
  }

  .campaign-brand-nav__logo--diners-club {
    width: 16.8vw;
  }

  .campaign-brand-nav__logo--op {
    width: 8.4vw;
  }

  .campaign-brand-nav__arrow {
    right: 2.4vw;
    width: 1.2vw;
    height: 1.2vw;
  }
}
